procedure WriteMessage(OutputMessage : Message; MessageLength : integer);

  {-------------------------------------------------------------------}
  {  WriteMessage is called whenever an enciphered or deciphered      }
  {  message is to be written back to the terminal.                   }
  {                                                                   }
  {  Input parameters:                                                }
  {    OutputMessage - the message to be displayed                    }
  {    MessageLength - the length of the message                      }
  {                                                                   }
  {  Output parameters: None                                          }
  {-------------------------------------------------------------------}

  var
    I : integer;          { used as subscript for OutputMessage }

  begin  { WriteMessage }

    for I := 1 to MessageLength do
      write(OutputMessage[I]);
    writeln

  end;  { WriteMessage }
